// background.js
chrome.contextMenus.create({
  id: "searchSnipesearch",
  title: "Search Snipesearch for '%s'",
  contexts: ["selection"]
});

chrome.contextMenus.onClicked.addListener(function(info, tab) {
  if (info.menuItemId === "searchSnipesearch") {
    const searchQuery = info.selectionText;
    const searchURL = `https://ww3.snipesearch.co.uk/search?q=${encodeURIComponent(searchQuery)}`;
    chrome.tabs.create({ url: searchURL });
  }
});